Skip to content
Start here

Upload a new version of a multi-column dataset

client.zeroTrust.dlp.datasets.versions.entries.create(stringdatasetId, numberversion, stringentryId, "string" | "ArrayBufferView" | "ArrayBuffer" | BlobLikedatasetVersionEntry, EntryCreateParams { account_id } params, RequestOptionsoptions?): EntryCreateResponse { entry_id, header_name, num_cells, upload_status }
POST/accounts/{account_id}/dlp/datasets/{dataset_id}/versions/{version}/entries/{entry_id}

This is used for multi-column EDMv2 datasets. The EDMv2 format can only be created in the Cloudflare dashboard.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
datasetId: string
formatuuid
version: number
formatint64
entryId: string
formatuuid
datasetVersionEntry: "string" | "ArrayBufferView" | "ArrayBuffer" | BlobLike
params: EntryCreateParams { account_id }
account_id: string

Path param

ReturnsExpand Collapse
EntryCreateResponse { entry_id, header_name, num_cells, upload_status }
entry_id: string
formatuuid
header_name: string
num_cells: number
formatint64
upload_status: "empty" | "uploading" | "pending" | 3 more
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"

Upload a new version of a multi-column dataset

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const entry = await client.zeroTrust.dlp.datasets.versions.entries.create(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  0,
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  fs.createReadStream('path/to/file'),
  { account_id: 'account_id' },
);

console.log(entry.entry_id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "entry_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "header_name": "header_name",
    "num_cells": 0,
    "upload_status": "empty"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "entry_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "header_name": "header_name",
    "num_cells": 0,
    "upload_status": "empty"
  }
}